=begin
Copyright:		2014 EnglishTiger
Name:					MT_AlignMagic
Description:	Registers Merlin's AlignMagic Module as an Extension.
History:			1.0 (2014-07-16)	1st Version
=end
	Sketchup::require "sketchup"
	Sketchup::require "extensions"
	module MT_AlignMagic
		path = File.dirname( __FILE__ )
		loader = File.join( path,"MT_Lib","al_menu.rb" )
		ex = SketchupExtension.new("MT-AlignMagic",loader)
		ex.version = "2014.1.0"
		ex.copyright = "EnglishTiger - 2014"
		ex.creator = "EnglishTiger (EnglishTiger@outlook.com)"
		ex.description = "Merlin's AlignMagic provides several tools to enable aligning of groups and components including aligning them to a node/bone."
		Sketchup.register_extension(ex,true)
	end
