=begin
Copyright:		2014 EnglishTiger
Name:					MT_AttachMagic
Description:	Installs Merlin's AttachMagic Modules as an Extension.
History:			1.0 (2014-07-16)	1st Version
=end
	Sketchup::require "sketchup"
	Sketchup::require "extensions"
	module MT_AttachMagic
		path = File.dirname( __FILE__ )
		loader = File.join( path,"MT_Lib","am_menu.rb" )
		ex = SketchupExtension.new("MT-AttachMagic",loader)
		ex.version = "2014.1.0"
		ex.copyright = "EnglishTiger - 2014"
		ex.creator = "EnglishTiger (EnglishTiger@outlook.com)"
		ex.description = "Merlin's AttachMagic provides tools to Attach/Weight Meshes/Nodes to Bones/Nodes."
		Sketchup.register_extension(ex,true)
	end
