=begin
Copyright:		2014 EnglishTiger
Name:					MT_AvMagic
Description:	Installs the Merlin's AvMagic 2014 Version Modules as an Extension.
History:			1.0 (2014-07-16)	1st Version
=end
	Sketchup::require "sketchup"
	Sketchup::require "extensions"
	module MT_AvMagic
		path = File.dirname( __FILE__ )
		loader = File.join(path,"MT_Lib","av_menu.rb")
		ex = SketchupExtension.new( "MT-AvMagic", loader )
		ex.version = "2014.1.0"
		ex.copyright = "EnglishTiger - 2014"
		ex.creator = "EnglishTiger (EnglishTiger@outlook.com)"
		ex.description = "Merlin's AvMagic imports IMVU Avatars and/or a Skydome into the Workspace."
		Sketchup.register_extension(ex,true)
	end
