=begin
Copyright:		2014 EnglishTiger
Name:					MT_DisplayMagic
Description:	Installs Merlin's DisplayMagic Modules as an Extension.
History:			1.0 (2014-07-16)	1st Version
=end
	Sketchup::require "sketchup"
	Sketchup::require "extensions"
	module MT_DisplayMagic
		path = File.dirname(__FILE__)
		loader = File.join(path,"MT_Lib","dm_menu.rb")
		ex = SketchupExtension.new("MT-DisplayMagic",loader)
		ex.version = "2014.1.0"
		ex.copyright = "EnglishTiger - 2014"
		ex.creator = "EnglishTiger (EnglishTiger@outlook.com)"
		ex.description = "Merlin's DisplayMagic adds a Context Menu and Toolbar for various Display/Model Styles."
		Sketchup.register_extension(ex,true)
	end
