=begin
Copyright 		2014 EnglishTiger
Name:					mm_menu
Description:	Menu builder and loader for Merlin's MeshMagic core code file mm_core.rbs
							Workaround for SU2013 and earlier not liking Menu Commands inside an encrypted .rbs file
History:			1.0 (2014-07-16)	1st version
=end
	Sketchup::require "sketchup"
	Sketchup::require "MT_Lib/mt_core"
	Sketchup::require "MT_Lib/mm_core"	
	module MT::MT_Toolkit
		unless file_loaded?( __FILE__ )
			# Build Menus
			cmd = self.mm_build_menu
			m0 = "MT-MeshMagic"
			m1 = " - 3D Shapes"
			m2 = " - 2D Shapes"
			#Expose Draw Menu
			add_separator_to_menu("Draw")
			menu = UI.menu("Draw").add_submenu(m0 + m1)
			menu.add_item(cmd[1])
			menu.add_item(cmd[2])
			menu.add_item(cmd[3])
			menu.add_item(cmd[4])
			menu.add_item(cmd[5])
			menu.add_item(cmd[6])
			menu.add_item(cmd[7])
			menu.add_item(cmd[8])
			menu.add_item(cmd[9])
			menu = UI.menu("Draw").add_submenu(m0 + m2)
			menu.add_item(cmd[10])
			menu.add_item(cmd[11])
			menu.add_item(cmd[12])
			# Expose Context Menu
			UI.add_context_menu_handler {|cm|
				menu = cm.add_submenu(m0 + m1)
				menu.add_item(cmd[1])
				menu.add_item(cmd[2])
				menu.add_item(cmd[3])
				menu.add_item(cmd[4])
				menu.add_item(cmd[5])
				menu.add_item(cmd[6])
				menu.add_item(cmd[7])
				menu.add_item(cmd[8])
				menu.add_item(cmd[9])
				menu = cm.add_submenu(m0 + m2)
				menu.add_item(cmd[10])
				menu.add_item(cmd[11])
				menu.add_item(cmd[12])
			}
		end
		file_loaded( __FILE__ )
	end
