=begin
Copyright 		2014 EnglishTiger
Name:					sm_menu
Description:	Menu builder and loader for Merlin's SoftMagic core code file sm_core.rbs
							Workaround for SU2013 and earlier not liking Menu Commands inside an encrypted .rbs file
History:			1.0 (2014-07-16)	1st version
=end
	Sketchup::require "sketchup"
	Sketchup::require "MT_Lib/mt_core"
	Sketchup::require "MT_Lib/sm_core"	
	module MT::MT_Toolkit
		unless file_loaded?( __FILE__ )
			#Build Menus and Toolbar
			cmd = self.sm_build_menu
			m0 = "MT-SoftMagic"
			icon_name = "sm_ss"
			cmd[1].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[1].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "sm_sa"
			cmd[2].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[2].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "sm_us"
			cmd[3].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[3].large_icon = ICON_PATH + icon_name + ICON_LARGE
			# Expose Tool Menu and Toolbar
			add_separator_to_menu("Tools")
			menu = UI.menu("Tools").add_submenu(m0); tbar = UI::Toolbar.new(m0)
			menu.add_item(cmd[1]); tbar.add_item(cmd[1])
			menu.add_item(cmd[2]); tbar.add_item(cmd[2])
			menu.add_separator; tbar.add_separator
			menu.add_item(cmd[3]); tbar.add_item(cmd[3])
			# Expose Context Menu
			UI.add_context_menu_handler {|cm|
				menu = cm.add_submenu(m0)
				menu.add_item(cmd[1])
				menu.add_item(cmd[2])
				menu.add_separator
				menu.add_item(cmd[3])
			}
		end
		file_loaded( __FILE__ )
	end
