=begin
Copyright 		2014 EnglishTiger
Name:					uv_menu
Description:	Menu builder and loader for Merlin's UVMagic core code file uv_core.rbs
							Workaround for SU2013 and earlier not liking Menu Commands inside an encrypted .rbs file
History:			1.0 (2014-07-16)	1st version
=end
	Sketchup::require "sketchup"
	Sketchup::require "MT_Lib/mt_core"
	Sketchup::require "MT_Lib/uv_core"	
	module MT::MT_Toolkit
		unless file_loaded?( __FILE__ )
			#Build Menus and Toolbar
			cmd = self.uv_build_menu
			m0 = "MT-UVMagic"
			icon_name = "uv_fit_texture_"
			cmd[1].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[1].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "uv_map_box_"
			cmd[2].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[2].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "uv_map_cylinder_"
			cmd[3].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[3].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "uv_map_planar_"
			cmd[4].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[4].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "uv_map_sphere_"
			cmd[5].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[5].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "uv_rotate_cw_"
			cmd[7].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[7].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "uv_rotate_acw_"
			cmd[8].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[8].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "uv_rotate_180_"
			cmd[9].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[9].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "uv_copy_"
			cmd[10].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[10].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "uv_paste_"
			cmd[11].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[11].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "uv_paste_h"
			cmd[12].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[12].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "uv_paste_v"
			cmd[13].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[13].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "uv_paste_hv"
			cmd[14].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[14].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "uv_totriangle_"
			cmd[15].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[15].large_icon = ICON_PATH + icon_name + ICON_LARGE
			#Expose Tools Menu and Toolbar
			menu = UI.menu("Tools").add_submenu(m0); tbar = UI::Toolbar.new(m0)
			menu.add_item(cmd[1]); tbar.add_item(cmd[1])
			menu.add_item(cmd[2]); tbar.add_item(cmd[2])
			menu.add_item(cmd[3]); tbar.add_item(cmd[3])
			menu.add_item(cmd[4]); tbar.add_item(cmd[4])
			menu.add_item(cmd[5]); tbar.add_item(cmd[5])
			menu.add_separator; tbar.add_separator
			menu.add_item(cmd[7]); tbar.add_item(cmd[7])
			menu.add_item(cmd[8]); tbar.add_item(cmd[8])
			menu.add_item(cmd[9]); tbar.add_item(cmd[9])
			menu.add_separator; tbar.add_separator
			menu.add_item(cmd[10]); tbar.add_item(cmd[10])
			menu.add_separator; tbar.add_separator
			menu.add_item(cmd[11]); tbar.add_item(cmd[11])
			menu.add_item(cmd[12]); tbar.add_item(cmd[12])
			menu.add_item(cmd[13]); tbar.add_item(cmd[13])
			menu.add_item(cmd[14]); tbar.add_item(cmd[14])
			menu.add_separator; tbar.add_separator
			menu.add_item(cmd[15]); tbar.add_item(cmd[15])
			# Expose Context Menu
			UI.add_context_menu_handler {|cm|
				menu = cm.add_submenu(m0)
				menu.add_item(cmd[1])
				menu.add_item(cmd[2])
				menu.add_item(cmd[3])
				menu.add_item(cmd[4])
				menu.add_item(cmd[5])
				menu.add_separator
				menu.add_item(cmd[7])
				menu.add_item(cmd[8])
				menu.add_item(cmd[9])
				menu.add_separator
				menu.add_item(cmd[10])
				menu.add_separator
				menu.add_item(cmd[11])
				menu.add_item(cmd[12])
				menu.add_item(cmd[13])
				menu.add_item(cmd[14])
				menu.add_separator
				menu.add_item(cmd[15])
			}
		end
		file_loaded( __FILE__ )
	end
