=begin
Copyright 		2014 EnglishTiger
Name:					vm_menu
Description:	Menu builder and loader for Merlin's ViewMagic core code file vm_core.rbs
							Workaround for SU2013 and earlier not liking Menu Commands inside an encrypted .rbs file
History:			1.0 (2014-07-16)	1st version
=end
	Sketchup::require "sketchup"
	Sketchup::require "MT_Lib/mt_core"
	Sketchup::require "MT_Lib/vm_core"	
	module MT::MT_Toolkit
		unless file_loaded?( __FILE__ )
			#Build menu and toolbar commands.
			cmd = self.vm_build_menu
			m0 = "MT-ViewMagic"
			m1 = "Iso"
			m2 = "Top"
			m3 = "Bottom"
			m4 = "Front"
			m5 = "Right"
			m6 = "Back"
			m7 = "Left"
			m8 = " View"
			m9 = "mt_"
			m11 = "_"
			icon_name = m9 + m1 + m11
			cmd[1].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[1].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = m9 + m2 + m11
			cmd[2].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[2].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = m9 + m3 + m11
			cmd[3].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[3].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = m9 + m4 + m11
			cmd[4].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[4].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = m9 + m5 + m11
			cmd[5].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[5].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = m9 + m6 + m11
			cmd[6].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[6].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = m9 + m7 + m11
			cmd[7].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[7].large_icon = ICON_PATH + icon_name + ICON_LARGE
			#Expose Toolbar
			tbar = UI::Toolbar.new(m0)
			tbar.add_item cmd[1]
			tbar.add_separator
			tbar.add_item cmd[2]
			tbar.add_item cmd[3]
			tbar.add_separator
			tbar.add_item cmd[4]
			tbar.add_item cmd[5]
			tbar.add_item cmd[6]
			tbar.add_item cmd[7]
			# Expose Context Menu
			UI.add_context_menu_handler {|cm|
				menu = cm.add_submenu(m0)
				menu.add_item cmd[1]
				menu.add_separator
				menu.add_item cmd[2]
				menu.add_item cmd[3]
				menu.add_separator
				menu.add_item cmd[4]
				menu.add_item cmd[5]
				menu.add_item cmd[6]
				menu.add_item cmd[7]
			}
		end
		file_loaded( __FILE__ )
	end
