=begin
Copyright:		2014 EnglishTiger
Name:					MT_MeshMagic
Description:	Installs Merlin's MeshMagic as an Extension.
History:			1.0 (2014-07-16)	1st Version
=end
	Sketchup::require "sketchup"
	Sketchup::require "extensions"
	module MT_MeshMagic
		path = File.dirname(__FILE__)
		loader = File.join(path,"MT_Lib","mm_menu.rb")
		ex = SketchupExtension.new("MT-MeshMagic",loader)
		ex.version = "2014.1.0"
		ex.copyright = "EnglishTiger - 2014"
		ex.creator = "EnglishTiger (EnglishTiger@outlook.com)"
		ex.description = "Merlin's user friendly 2D and 3D Shape (Geometry) generators."
		Sketchup.register_extension(ex,true)
	end
