=begin
Copyright:		2014 EnglishTiger
Name:					MT_PaintBox
Description:	Installs Merlin's PaintBox Modules as an Extension.
History:			1.0 (2014-07-16)	1st Version
=end
	Sketchup::require "sketchup"
	Sketchup::require "extensions"
	module MT_PaintBox
		path = File.dirname(__FILE__)
		loader = File.join(path,"MT_Lib","pb_menu.rb" )
		ex = SketchupExtension.new("MT-PaintBox",loader)
		ex.version = "2014.1.0"
		ex.copyright = "EnglishTiger - 2014"
		ex.creator = "EnglishTiger (EnglishTiger@outlook.com)"
		ex.description = "Merlin's PaintBox is a collection of useful texture tools."
		Sketchup.register_extension(ex,true)
	end
