=begin
Copyright:		2014 EnglishTiger
Name:					MT_ToolBox
Description:	Registers Merlin's ToolBox as an Extension.
History:			1.0 (2014-07-16)	1st Version
=end
	Sketchup::require "sketchup"
	Sketchup::require "extensions"
	module MT_ToolBox
		path = File.dirname(__FILE__)
		loader = File.join(path,"MT_Lib","tb_menu.rb" )
		ex = SketchupExtension.new("MT-ToolBox",loader)
		ex.version = "2014.1.0"
		ex.copyright = "EnglishTiger - 2014"
		ex.creator = "EnglishTiger (EnglishTiger@outlook.com)"
		ex.description = "Merlin's ToolBox is a collection of useful model manipulation tools."
		Sketchup.register_extension(ex,true)
	end
