=begin
Copyright:		2014 EnglishTiger
Name:					MT_CameraMagic
Description:	Installs Merlin's CameraMagic Modules as an Extension.
History:			1.0 (2014-07-16)	1st Version
=end
	Sketchup::require "sketchup"
	Sketchup::require "extensions"
	module MT_CameraMagic
		path = File.dirname(__FILE__)
		loader = File.join(path,"MT_Lib","cm_menu.rb")
		ex = SketchupExtension.new("MT-CameraMagic",loader)
		ex.version = "2014.1.0"
		ex.copyright = "EnglishTiger - 2014"
		ex.creator = "EnglishTiger (EnglishTiger@outlook.com)"
		ex.description = "Merlin's CameraMagic switches the Camera/View between SU View and IMVU View (45 degree FOV)."
		Sketchup.register_extension(ex,true)
	end
