=begin
Copyright:		2014 EnglishTiger
Name:					MT_Lib
Description:	Registers the Merlin's ToolKit 2014 Common Library Module as an extension.
History:			1.0 (2014-07-16)	1st Version
=end
	Sketchup::require "sketchup"
	Sketchup::require "extensions"
	module MT_Lib
		path = File.dirname(__FILE__)
		loader = File.join(path,"MT_Lib","mt_core.rbs")
		ex = SketchupExtension.new("MT-Lib",loader)
		ex.version = "2014.1.0"
		ex.copyright = "EnglishTiger - 2014"
		ex.creator = "EnglishTiger (EnglishTiger@outlook.com)"
		ex.description = "Merlin's ToolKit 2014 Common Library Module - Do Not Disable!."
		Sketchup.register_extension(ex,true)
	end
