=begin
Copyright 		2014 EnglishTiger
Name:					al_menu
Description:	Menu builder and loader for Merlin's AignMagic core code file al_core.rbs
							Workaround for SU2013 and earlier not liking Menu Commands inside an encrypted .rbs file
History:			1.0 (2014-07-15)	1st version
=end
	Sketchup::require "sketchup"
	Sketchup::require "MT_Lib/mt_core"
	Sketchup::require "MT_Lib/al_core"	
	module MT::MT_Toolkit
		unless file_loaded?( __FILE__ )
			#Build Menus and Toolbar
			cmd = self.al_build_menu
			m0 = "MT-AlignMagic"
			m1 = "Align on Axis - Left to Right - "
			m2 = "Align on Axis - Front to Back - "
			m3 = "Align on Axis - Top to Bottom - "
			icon_name = "armin_"
			cmd[1].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[1].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "arcen_"
			cmd[2].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[2].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "armax_"
			cmd[3].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[3].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "agmin_"
			cmd[4].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[4].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "agcen_"
			cmd[5].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[5].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "agmax_"
			cmd[6].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[6].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "abmin_"
			cmd[7].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[7].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "abcen_"
			cmd[8].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[8].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "abmax_"
			cmd[9].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[9].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "ambone_"
			cmd[10].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[10].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "mouse_move_"
			cmd[11].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[11].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "nudge_move_"
			cmd[12].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[12].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "nudge_turn_"
			cmd[13].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[13].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "al_settings_"
			cmd[14].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[14].large_icon = ICON_PATH + icon_name + ICON_LARGE
			#Expose Tools Menu and Toolbar
			add_separator_to_menu("Tools")
			menu = UI.menu("Tools").add_submenu(m0); tbar = UI::Toolbar.new(m0)
			sub_menu = menu.add_submenu(m1)
			sub_menu.add_item(cmd[1]); tbar.add_item(cmd[1])
			sub_menu.add_item(cmd[2]); tbar.add_item(cmd[2])
			sub_menu.add_item(cmd[3]); tbar.add_item(cmd[3])
			sub_menu.add_separator; tbar.add_separator
			sub_menu = menu.add_submenu(m2)
			sub_menu.add_item(cmd[4]); tbar.add_item(cmd[4])
			sub_menu.add_item(cmd[5]); tbar.add_item(cmd[5])
			sub_menu.add_item(cmd[6]); tbar.add_item(cmd[6])
			sub_menu.add_separator; tbar.add_separator
			sub_menu = menu.add_submenu(m3)
			sub_menu.add_item(cmd[7]); tbar.add_item(cmd[7])
			sub_menu.add_item(cmd[8]); tbar.add_item(cmd[8])
			sub_menu.add_item(cmd[9]); tbar.add_item(cmd[9])
			menu.add_separator; tbar.add_separator
			menu.add_item(cmd[10]); tbar.add_item(cmd[10])
			menu.add_separator; tbar.add_separator
			menu.add_item(cmd[11]); tbar.add_item(cmd[11])
			menu.add_separator; tbar.add_separator
			menu.add_item(cmd[12]); tbar.add_item(cmd[12])
			menu.add_item(cmd[13]); tbar.add_item(cmd[13])
			menu.add_separator; tbar.add_separator
			menu.add_item(cmd[14]); tbar.add_item(cmd[14])
			# Expose Context Menu/SubMenu
			UI.add_context_menu_handler {|cm|
				menu = cm.add_submenu(m0)
				sub_menu = menu.add_submenu(m1)
				sub_menu.add_item(cmd[1])
				sub_menu.add_item(cmd[2])
				sub_menu.add_item(cmd[3])
				sub_menu = menu.add_submenu(m2)
				sub_menu.add_item(cmd[4])
				sub_menu.add_item(cmd[5])
				sub_menu.add_item(cmd[6])
				sub_menu = menu.add_submenu(m3)
				sub_menu.add_item(cmd[7])
				sub_menu.add_item(cmd[8])
				sub_menu.add_item(cmd[9])
				menu.add_separator
				menu.add_item(cmd[10])
				menu.add_separator
				menu.add_item(cmd[11])
				menu.add_separator
				menu.add_item(cmd[12])
				menu.add_item(cmd[13])
				menu.add_separator
				menu.add_item(cmd[14])
			}
		end
		file_loaded( __FILE__ )
	end
