=begin
Copyright 		2014 EnglishTiger
Name:					av_menu
Description:	Menu builder and loader for Merlin's AvMagic core code file av_core.rbs
							Workaround for SU2013 and earlier not liking Menu Commands inside an encrypted .rbs file
History:			1.0 (2014-07-16)	1st version
=end
	Sketchup::require "sketchup"
	Sketchup::require "MT_Lib/mt_core"
	Sketchup::require "MT_Lib/av_core"	
	module MT::MT_Toolkit
		unless file_loaded?( __FILE__ )
			#Build Menus
			m0 = "MT-AvMagic"
			m1 = "- Import IMVU "
			m2 = "Avatar"
			cmd = self.av_build_menu
			# Expose File Menu
			add_separator_to_menu("File")
			menu = UI.menu("File").add_submenu(m0 + m1 + m2)
			menu.add_item(cmd[1])
			menu.add_item(cmd[2])
			menu.add_separator
			menu.add_item(cmd[3])
			menu.add_item(cmd[4])
			menu.add_item(cmd[5])
			UI.menu("File").add_item(cmd[6])
			# Expose Context Menu
			UI.add_context_menu_handler {|cm|
				menu = cm.add_submenu(m0 + m1 + m2)
				menu.add_item(cmd[1])
				menu.add_item(cmd[2])
				menu.add_separator
				menu.add_item(cmd[3])
				menu.add_item(cmd[4])
				menu.add_item(cmd[5])
				menu.add_separator
				cm.add_item(cmd[6])
			}
		end
		file_loaded( __FILE__ )
	end
