=begin
Copyright 		2014 EnglishTiger
Name:					nm_menu
Description:	Menu builder and loader for Merlin's NodeMagic core code file nm_core.rbs
							Workaround for SU2013 and earlier not liking Menu Commands inside an encrypted .rbs file
History:			1.0 (2014-07-16)	1st version
=end
	Sketchup::require "sketchup"
	Sketchup::require "MT_Lib/mt_core"
	Sketchup::require "MT_Lib/nm_core"	
	module MT::MT_Toolkit
		unless file_loaded?( __FILE__ )
			# Build/Expose Menu/SubMenu
			cmd = self.nm_build_menu
			m0 = "MT-NodeMagic - Add Node(s)"
			add_separator_to_menu("Draw")
			menu = UI.menu("Draw").add_item(cmd[1])
			# Build/Expose Context Menu/SubMenu
			UI.add_context_menu_handler do |cm|
				cm.add_item(cmd[1])
			end
		end
		file_loaded( __FILE__ )
	end
