=begin
Copyright 		2014 EnglishTiger
Name:					um_menu
Description:	Menu builder and loader for Merlin's UnitMagic core code file um_core.rbs
							Workaround for SU2013 and earlier not liking Menu Commands inside an encrypted .rbs file
History:			1.0 (2014-07-16)	1st version
=end
	Sketchup::require "sketchup"
	Sketchup::require "MT_Lib/mt_core"
	Sketchup::require "MT_Lib/um_core"	
	module MT::MT_Toolkit
		unless file_loaded?( __FILE__ )
			#Build Menus and Toolbar
			cmd = self.um_build_menu
			m0 = "MT-UnitMagic"
			icon_name = "mt_dec_"
			cmd[1].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[1].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "mt_arc_"
			cmd[2].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[2].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "mt_eng_"
			cmd[3].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[3].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "mt_eng_"
			cmd[4].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[4].large_icon = ICON_PATH + icon_name + ICON_LARGE
			m13 = "Measurement Unit - "
			icon_name = "mt_in_"
			cmd[5].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[5].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "mt_ft_"
			cmd[6].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[6].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "mt_mm_"
			cmd[7].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[7].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "mt_cm_"
			cmd[8].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[8].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "mt_me_"
			cmd[9].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[9].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "mt_minus_"
			cmd[10].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[10].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "mt_plus_"
			cmd[11].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[11].large_icon = ICON_PATH + icon_name + ICON_LARGE
			icon_name = "mt_duf_"
			cmd[12].small_icon = ICON_PATH + icon_name + ICON_SMALL
			cmd[12].large_icon = ICON_PATH + icon_name + ICON_LARGE
			#Expose Tools Menu and Toolbar
			add_separator_to_menu("Tools")
			menu = UI.menu("Tools").add_submenu(m0); tbar = UI::Toolbar.new(m0)
			menu.add_item cmd[1]; tbar.add_item cmd[1]
			menu.add_item cmd[2]; tbar.add_item cmd[2]
			menu.add_item cmd[3]; tbar.add_item cmd[3]
			menu.add_item cmd[4]; tbar.add_item cmd[4]
			menu.add_separator; tbar.add_separator
			menu.add_item cmd[5]; tbar.add_item cmd[5]
			menu.add_item cmd[6]; tbar.add_item cmd[6]
			menu.add_item cmd[7]; tbar.add_item cmd[7]
			menu.add_item cmd[8]; tbar.add_item cmd[8]
			menu.add_item cmd[9]; tbar.add_item cmd[9]
			menu.add_separator; tbar.add_separator
			menu.add_item cmd[10]; tbar.add_item cmd[10]
			menu.add_item cmd[11]; tbar.add_item cmd[11]
			menu.add_separator; tbar.add_separator
			menu.add_item cmd[12]; tbar.add_item cmd[12]
			#Expose Context Menu
			UI.add_context_menu_handler {|cm|
				menu = cm.add_submenu(m0)
				menu.add_item cmd[1]
				menu.add_item cmd[2]
				menu.add_item cmd[3]
				menu.add_item cmd[4]
				menu.add_separator
				menu.add_item cmd[5]
				menu.add_item cmd[6]
				menu.add_item cmd[7]
				menu.add_item cmd[8]
				menu.add_item cmd[9]
				menu.add_separator
				menu.add_item cmd[10]
				menu.add_item cmd[11]
				menu.add_separator
				menu.add_item cmd[12]
			}
		end
		file_loaded( __FILE__ )
	end
