=begin
Copyright:		2014 EnglishTiger
Name:					Merlin_NodeMagic
Description:	Registers Merlin's NodeMagic as an Extension.
History:			1.0 (2014-07-16)	1st Version
=end
	Sketchup::require "sketchup"
	Sketchup::require "extensions"
	module MT_NodeMagic
		path = File.dirname(__FILE__)
		loader = File.join(path,"MT_Lib","nm_menu.rb")
		ex = SketchupExtension.new("MT-NodeMagic",loader)
		ex.version = "2014.1.0"
		ex.copyright = "EnglishTiger - 2014"
		ex.creator = "EnglishTiger (EnglishTiger@outlook.com)"
		ex.description = "Merlin's NodeMagic Node Generator."
		Sketchup.register_extension(ex,true)
	end
