=begin
Copyright:		2014 EnglishTiger
Name:					MT_SoftMagic
Description:	Registers Merlin's SoftMagic 2014 as an Extension.
History:			1.0 (2014-07-16)	1st Version
=end
	Sketchup::require "sketchup"
	Sketchup::require "extensions"
	module MT_SoftMagic
		path = File.dirname(__FILE__)
		loader = File.join(path,"MT_lib","sm_menu.rb")
		ex = SketchupExtension.new("MT-SoftMagic",loader)
		ex.version = "2014.1.0"
		ex.copyright = "EnglishTiger - 2014"
		ex.creator = "EnglishTiger (EnglishTiger@outlook.com)"
		ex.description = "Merlin's SoftMagic provides tools to Soften/Harden Edges between 2 or more Faces."
		Sketchup.register_extension(ex,true)
	end
