=begin
Copyright:		2014 EnglishTiger
Name:					MT_UVMagic
Description:	Registers UVMagic 2014 as an Extension.
History:			1.0 (2014-07-16)	1st Version
=end
	Sketchup::require "sketchup"
	Sketchup::require "extensions"
	module MT_UVMagic
		path = File.dirname(__FILE__)
		loader = File.join(path,"MT_Lib","uv_menu.rb")
		ex = SketchupExtension.new( "MT-UVMagic", loader )
		ex.version = "2014.1.0"
		ex.copyright = "EnglishTiger - 2014"
		ex.creator = "EnglishTiger (EnglishTiger@outlook.com)"
		ex.description = "Merlin's UVMagic is a collection of UV Mapping Tools."
		Sketchup.register_extension(ex,true)  
	end
	