=begin
Copyright:		2014 EnglishTiger
Name:					MT_UnitMagic
Description:	Registers UnitMagic 2014 as an Extension.
History:			1.0 (2014-07-16)	1st Version
=end
	Sketchup::require "sketchup"
	Sketchup::require "extensions"
	module MT_UnitMagic
		path = File.dirname (__FILE__)
		loader = File.join(path,"MT_Lib","um_menu.rb")
		ex = SketchupExtension.new("MT-UnitMagic",loader)
		ex.version = "2014.1.0"
		ex.copyright = "EnglishTiger - 2014"
		ex.creator = "EnglishTiger (EnglishTiger@outlook.com)"
		ex.description = "Merlin's UnitMagic provides a Menu and Toolbar to enable unit options to be changed."
		Sketchup.register_extension(ex,true)
	end
