=begin
Copyright:		2014 EnglishTiger
Name:					Merlin's ViewMagic
Description:	Registers Merlin"s ViewMagic Module as an Extension.
History:			1.0 (2014-07-16)	1st Version
=end
	Sketchup::require "sketchup"
	Sketchup::require "extensions"
	module MT_ViewMagic
		path = File.dirname(__FILE__)
		loader = File.join(path,"MT_Lib","vm_menu.rb")
		ex = SketchupExtension.new("MT-ViewMagic",loader)
		ex.version = "2014.1.0"
		ex.copyright = "EnglishTiger - 2014"
		ex.creator = "EnglishTiger (EnglishTiger@outlook.com)"
		ex.description = "Merlin's ViewMagic provides an enhanced Views Toolbar and Context Menu that includes a view from below option."
		Sketchup.register_extension(ex,true)
	end
